diff -pruN 12/debian/changelog 13/debian/changelog
--- 12/debian/changelog	2020-12-28 03:05:09.000000000 +0000
+++ 13/debian/changelog	2021-02-22 01:39:07.000000000 +0000
@@ -1,3 +1,17 @@
+cross-toolchain-base-mipsen (13) unstable; urgency=medium
+
+  * Rebase c-t-b 52
+    - Build using linux 5.10.13.
+    - Build using binutils 2.35.2-2.
+    - Build using gcc 10.2.1-6.
+    - Build using glibc 2.31-9.
+    - Bump autoconf dependencies from 2.64 to 2.69.
+    - Fix conversion of arch qualified relations (Helmut Grohne).
+    - Add build dependency and autopkg test dependency on debugedit.
+    - 
+
+ -- YunQiang Su <syq@debian.org>  Mon, 22 Feb 2021 09:39:07 +0800
+
 cross-toolchain-base-mipsen (12) unstable; urgency=medium
 
   * Rebase c-t-b 48
diff -pruN 12/debian/control 13/debian/control
--- 12/debian/control	2020-12-28 03:05:09.000000000 +0000
+++ 13/debian/control	2021-02-22 01:39:07.000000000 +0000
@@ -3,32 +3,31 @@ Section: devel
 Priority: optional
 Maintainer: Cross Toolchain Base Team <cross-toolchain-base-devs@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@debian.org>, Dimitri John Ledkov <xnox@debian.org>, YunQiang Su <syq@debian.org>
-Vcs-Browser: https://salsa.debian.org/toolchain-team/cross-toolchain-base/-/tree/mipsen
-Vcs-Git: https://salsa.debian.org/toolchain-team/cross-toolchain-base.git -b mipse
+Vcs-Browser: https://salsa.debian.org/toolchain-team/cross-toolchain-base
+Vcs-Git: https://salsa.debian.org/toolchain-team/cross-toolchain-base.git
 Standards-Version: 4.5.1
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.35-1~),
-  glibc-source (>= 2.31-1~),
-  gcc-10-source (>= 10.1.0-5~),
-  linux-source (>= 5.7), linux-libc-dev (>= 5.7),
-  autoconf (>= 2.64), autoconf2.64, autogen,
+  binutils-source (>= 2.35.2-2~),
+  glibc-source (>= 2.31-9~),
+  gcc-10-source (>= 10.2.1-6~),
+  linux-source (>= 5.10.13), linux-libc-dev (>= 5.10.13),
+  autoconf (>= 2.69), autoconf2.69, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
-  dwz, gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
+  dwz, debugedit (>= 4.16), gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
   libisl-dev, libmpc-dev, libelf-dev,
   libmpfr-dev (>= 2.3.0), rsync, xmlto, libtool, lsb-release, lzma, m4,
   make (>= 3.81), kmod | module-init-tools, symlinks,
   patchutils, procps, quilt, rdfind, coreutils (>= 2.26) | realpath (>= 1.9.12),
   sed (>= 4.0.5-4), sharutils, tar (>= 1.22), xz-utils,
-  asciidoc, texinfo, cpio, python3, bc,
+  asciidoc, texinfo, cpio, python3, bc, time,
   libconfig-auto-perl, libfile-temp-perl, libconfig-auto-perl,
   libfile-homedir-perl, liblocale-gettext-perl, libunwind-dev [amd64 i386 x32]
 Build-Conflicts: dpkg-cross, libdebian-dpkgcross-perl,
-  binutils-mips-linux-gnu, binutils-mipsel-linux-gnu, binutils-mips64el-linux-gnuabi64, binutils-mips64-linux-gnuabi64, binutils-mips64-linux-gnuabin32, binutils-mips64el-linux-gnuabin32, binutils-mipsisa32r6-linux-gnu, binutils-mipsisa32r6el-linux-gnu, binutils-mipsisa64r6-linux-gnuabin32, binutils-mipsisa64r6el-linux-gnuabin32, binutils-mipsisa64r6-linux-gnuabi64, binutils-mipsisa64r6el-linux-gnuabi64,
+  binutils-mips-linux-gnu [!mips], binutils-mipsel-linux-gnu [!mipsel], binutils-mips64el-linux-gnuabi64 [!mips64el], binutils-mips64-linux-gnuabi64 [!mips64], binutils-mips64-linux-gnuabin32 [!mipsn32], binutils-mips64el-linux-gnuabin32 [!mipsn32el], binutils-mipsisa32r6-linux-gnu [!mipsr6], binutils-mipsisa32r6el-linux-gnu [!mipsr6el], binutils-mipsisa64r6-linux-gnuabin32 [!mipsn32r6], binutils-mipsisa64r6el-linux-gnuabin32 [!mipsn32r6el], binutils-mipsisa64r6-linux-gnuabi64 [!mips64r6], binutils-mipsisa64r6el-linux-gnuabi64 [!mips64r6el],
   libc6-mips-cross, linux-libc-dev-mips-cross, libc6-mipsel-cross, linux-libc-dev-mipsel-cross, libc6-mips64el-cross, linux-libc-dev-mips64el-cross, libc6-mips64-cross, linux-libc-dev-mips64-cross, libc6-mipsn32-cross, linux-libc-dev-mipsn32-cross, libc6-mipsn32el-cross, linux-libc-dev-mipsn32el-cross, libc6-mipsr6-cross, linux-libc-dev-mipsr6-cross, libc6-mipsr6el-cross, linux-libc-dev-mipsr6el-cross, libc6-mipsn32r6-cross, linux-libc-dev-mipsn32r6-cross, libc6-mipsn32r6el-cross, linux-libc-dev-mipsn32r6el-cross, libc6-mips64r6-cross, linux-libc-dev-mips64r6-cross, libc6-mips64r6el-cross, linux-libc-dev-mips64r6el-cross,
   libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
-XS-Testsuite: autopkgtest
 
 Package: linux-libc-dev-mips-cross
 Architecture: all
diff -pruN 12/debian/control.source.in 13/debian/control.source.in
--- 12/debian/control.source.in	2020-12-28 03:05:09.000000000 +0000
+++ 13/debian/control.source.in	2021-02-22 01:39:07.000000000 +0000
@@ -3,8 +3,8 @@ Section: devel
 Priority: optional
 Maintainer: Cross Toolchain Base Team <cross-toolchain-base-devs@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@debian.org>, Dimitri John Ledkov <xnox@debian.org>, YunQiang Su <syq@debian.org>
-Vcs-Browser: https://salsa.debian.org/toolchain-team/cross-toolchain-base/-/tree/mipsen
-Vcs-Git: https://salsa.debian.org/toolchain-team/cross-toolchain-base.git -b mipsen
+Vcs-Browser: https://salsa.debian.org/toolchain-team/cross-toolchain-base
+Vcs-Git: https://salsa.debian.org/toolchain-team/cross-toolchain-base.git
 Standards-Version: 4.5.1
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
@@ -12,20 +12,19 @@ Build-Depends: binutils-multiarch,
   glibc-source (>= MIN_VER_GLIBC),
   gcc-VER_GCC_BASE-source (>= MIN_VER_GCC),
   linux-source (>= MIN_VER_LINUX), linux-libc-dev (>= MIN_VER_LINUX),
-  autoconf (>= 2.64), autoconf2.64, autogen,
+  autoconf (>= 2.69), autoconf2.69, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
-  dwz, gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
+  dwz, debugedit (>= 4.16), gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
   libisl-dev, libmpc-dev, libelf-dev,
   libmpfr-dev (>= 2.3.0), rsync, xmlto, libtool, lsb-release, lzma, m4,
   make (>= 3.81), kmod | module-init-tools, symlinks,
   patchutils, procps, quilt, rdfind, coreutils (>= 2.26) | realpath (>= 1.9.12),
   sed (>= 4.0.5-4), sharutils, tar (>= 1.22), xz-utils,
-  asciidoc, texinfo, cpio, python3, bc,
+  asciidoc, texinfo, cpio, python3, bc, time,
   libconfig-auto-perl, libfile-temp-perl, libconfig-auto-perl,
   libfile-homedir-perl, liblocale-gettext-perl, libunwind-dev [amd64 i386 x32]
 Build-Conflicts: dpkg-cross, libdebian-dpkgcross-perl,
   BINUTILS_BUILD_CONFLICTS
   GLIBC_BUILD_CONFLICTS
   libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
-XS-Testsuite: autopkgtest
diff -pruN 12/debian/dpkg-cross 13/debian/dpkg-cross
--- 12/debian/dpkg-cross	2020-12-28 02:58:41.000000000 +0000
+++ 13/debian/dpkg-cross	2021-02-22 01:37:05.000000000 +0000
@@ -1338,7 +1338,12 @@ sub rewrite_item {
 	my $name = $1;
 	return () if grep { $_ eq $name } @removedeps;
 	return $str if grep { $_ eq $name } @keepdeps;
-	$str =~ s/^([^ (]+)/$name-$arch-cross/;
+	if ($name =~ /^([^:]*):(.*)/) {
+		my $replacement = "$1-$2-cross";
+		$str =~ s/^[^ (]+/$replacement/;
+	} else {
+		$str =~ s/^([^ (]+)/$name-$arch-cross/;
+	}
 	return $str;
 }
 
diff -pruN 12/debian/rules 13/debian/rules
--- 12/debian/rules	2020-12-28 02:58:44.000000000 +0000
+++ 13/debian/rules	2021-02-22 01:37:08.000000000 +0000
@@ -73,10 +73,10 @@ endif
 # ===============================================================
 # ATTENTION: don't forget to update these in debian/tests/control
 # ===============================================================
-MIN_VER_GLIBC		:= 2.31-5~
-MIN_VER_LINUX		:= 5.9
-MIN_VER_GCC		:= 10.2.1-1~
-MIN_VER_BINUTILS	:= 2.35.1-4~
+MIN_VER_GLIBC		:= 2.31-9~
+MIN_VER_LINUX		:= 5.10.13
+MIN_VER_GCC		:= 10.2.1-6~
+MIN_VER_BINUTILS	:= 2.35.2-2~
 VER_GCC_BASE		:= 10
 libgcc_base		:= gcc-s
 
@@ -87,12 +87,12 @@ else
   VER_LINUX      := $(shell echo $(DEB_VER_LINUX) | sed 's/^\([0-9]*\.[0-9]*\).*/\1/')
 endif
 ifeq ($(vendor),Ubuntu)
-  MIN_VER_GLIBC		:= 2.31-0ubuntu1~
-  VER_GCC_BASE		:= 9
-  MIN_VER_GCC		:= 9.3.0-15~
-  MIN_VER_BINUTILS	:= 2.34-5~
-  MIN_VER_LINUX		:= 5.4
-  libgcc_base		:= gcc
+  MIN_VER_GLIBC		:= 2.32-0ubuntu1~
+  VER_GCC_BASE		:= 10
+  MIN_VER_GCC		:= 10.2.1-6~
+  MIN_VER_BINUTILS	:= 2.35.1-7~
+  MIN_VER_LINUX		:= 5.8
+  libgcc_base		:= gcc-s
 endif
 
 VER_GCC          := $(shell dpkg-parsechangelog -SVersion -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | cut -f 1 -d '-')
@@ -220,7 +220,7 @@ $(stamp)build-binutils: $(stamp)init-bin
 	  PATCHED_SOURCES=yes \
 	  PKG_IGNORE_CURRENTLY_BUILDING=1 \
 	  BACKPORT=false \
-	  DEB_BUILD_OPTIONS="$(DEB_BUILD_OPTIONS) nocheck nomult nohppa" \
+	  DEB_BUILD_OPTIONS="$(DEB_BUILD_OPTIONS) nocheck nomult nohppa nopgo" \
 	  CROSS_ARCHS="$(CROSS_ARCHS)" \
 	  dpkg-buildpackage -B -uc -us -d
 	touch $@
